Orchard CMS for .NET 3.5

Jan 18, 2011 at 12:06 PM

Hi,

I installed Orchard CMS today using the Microsoft Web Matrix. The installation went fine but the CMS was for .NET Framework 4.0. My hosting provider .NET 3.5 and not 4.0. So, I opened the site in Visual Studio and In sthe solution explorer modified the Build to .NET Framework 3.5.

Following this, it started giving me the that you are trying to run .NET Framework 3.5 from .NET 4.0. If you are using Web Matrix, go to settings and choose .NET 2.0.

I did so and now it gives me this error-> Screenshot http://i.imgur.com/YZdVf.jpg

Please suggest me what to do? Here's my web.config. http://pastebin.com/sWvwcXdu

I was looking to modify the server name, db etc. in web.config before I could upload to the server but I didn't find it. Where can I modify that?

Jan 18, 2011 at 4:34 PM

The problem is your project was created to run under 4.0 and changing the building method isn't enough.

All your web.config is for the new .net framework , it even has references to Razor witch is specific for MVC 3 and fw4.

I'm afraid you will have to change your hosting provider or ask them to install the new framework.

Cheers and good luck.